Skip to navigation

Set Order Date

Set Date for one or all active orders from a shipper to a future date. Past dates are not allowed except for yesterday

Authentication

AuthorizationBearer
Find your Client ID and Secret on your app info page. 1. Select "Try It" 2. In the Security section enter your Client ID and Secret 3. Select "Request Token" 4. Enter any additional information in the Body and Parameters sections 5. Select "Send" to execute your API request"

Headers

transIdstringOptional
Unique transaction ID for debugging and tracking.
transactionSrcstringRequiredformat: "^[a-zA-Z0-9-.]{1,36}$"1-36 characters

Identifies the client/source application that is calling.

X-BusinessGUIDstringRequiredformat: "^[0-9a-fA-F]{8}[-]?([0-9a-fA-F]{4}[-]?){3}[0-9a-fA-F]{12}$"=36 characters
Unique business GUID.
X-ClientIdstringRequired
Unique client Id.

Query parameters

shipper_account_numberstringRequired<=9 characters
Unique shipper number. Required for all updates.
order_numberstringOptionalformat: "^[0-9]{13}$"
Unique order number. Required for individual order updates.
old_datedateOptional

The current date of the shipment(s). Defaults to today if not provided. Required for moving all open shipments to a new date.

languagestringOptional

The language/culture that is being used for the API

Request

Container for the order details to be moved to another day. if newDate value is not provided, it Defaults to today + 1.

openumRequired
Allowed values:
pathstring or nullRequired
the field whose value is to be changed
valuestring or nullOptional
new value to insert into the defined field

Response headers

BkndTransIdstringOptional
The backend transaction id.
transIdstringOptional
An identifier unique to the request.
transactionSrcstringOptional

Identifies the client/source application that is calling.

Content-TypestringOptional

The Content-Type header provides the client with the actual content/media type of the returned content.

X-BusinessGUIDstringOptional
Unique business GUID.
X-ClientIdstringOptional
Unique client Id.

Response

OK
responseobject or null

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error